<?xml version="1.0" encoding="utf-8"?>
<!-- generator="FeedCreator 1.7.1" -->
<?xml-stylesheet href="http://kni.pk.edu.pl/~kmokszan/mgr/lib/styles/feed.css" type="text/css"?>
<rdf:RDF
    xmlns="http://purl.org/rss/1.0/"
    xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
    xmlns:slash="http://purl.org/rss/1.0/modules/slash/"
    xmlns:dc="http://purl.org/dc/elements/1.1/">
    <channel rdf:about="http://kni.pk.edu.pl/~kmokszan/mgr/feed.php">
        <title>mgr Wiki jezyki_i_techniki_programowania</title>
        <description></description>
        <link>http://kni.pk.edu.pl/~kmokszan/mgr/</link>
        <image rdf:resource="http://kni.pk.edu.pl/~kmokszan/mgr/lib/images/favicon.ico" />
       <dc:date>2006-08-27T21:16:50+01:00</dc:date>
        <items>
            <rdf:Seq>
                <rdf:li rdf:resource="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:dziedziczenie&amp;amp;rev=1148486585"/>
                <rdf:li rdf:resource="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:funkcje_wirtualne&amp;amp;rev=1148217029"/>
                <rdf:li rdf:resource="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:maszyna_wirtualna&amp;amp;rev=1148210806"/>
                <rdf:li rdf:resource="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:przeladowanie_operatorow&amp;amp;rev=1148216969"/>
            </rdf:Seq>
        </items>
    </channel>
    <image rdf:about="http://kni.pk.edu.pl/~kmokszan/mgr/lib/images/favicon.ico">
        <title>mgr Wiki</title>
        <link>http://kni.pk.edu.pl/~kmokszan/mgr/</link>
        <url>http://kni.pk.edu.pl/~kmokszan/mgr/lib/images/favicon.ico</url>
    </image>
    <item rdf:about="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:dziedziczenie&amp;amp;rev=1148486585">
        <dc:format>text/html</dc:format>
        <dc:date>2006-05-24T18:03:05+01:00</dc:date>
        <title>jezyki_i_techniki_programowania:dziedziczenie</title>
        <link>http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:dziedziczenie&amp;amp;rev=1148486585</link>
        <description> Dziedziczenie jest jednym z kluczowych założeń programowania zorientowanego obiektowo.  Dziedziczenie to mechanizm, który pozwala klasie przejmować właściwości (metody, atrybuty) innych klas. Dzięki temu nowe klasy muszą implementować jedynie dodatk...</description>
    </item>
    <item rdf:about="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:funkcje_wirtualne&amp;amp;rev=1148217029">
        <dc:format>text/html</dc:format>
        <dc:date>2006-05-21T15:10:29+01:00</dc:date>
        <title>jezyki_i_techniki_programowania:funkcje_wirtualne</title>
        <link>http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:funkcje_wirtualne&amp;amp;rev=1148217029</link>
        <description> Niech dane będą klasy:   class zwierze {    public:    void virtual wydaj_odglos(){       cout &amp;lt;&amp;lt; „Nieokreslony dzwiek”;          }   }   class kot : public zwierze{   public:    void wydaj_odglos(){    cout &amp;lt;&amp;lt; „Miauuu”;          }   }  ...</description>
    </item>
    <item rdf:about="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:maszyna_wirtualna&amp;amp;rev=1148210806">
        <dc:format>text/html</dc:format>
        <dc:date>2006-05-21T13:26:46+01:00</dc:date>
        <title>jezyki_i_techniki_programowania:maszyna_wirtualna</title>
        <link>http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:maszyna_wirtualna&amp;amp;rev=1148210806</link>
        <description> To ogólna nazwa dla programów tworzących środowisko uruchomieniowe dla innych programów. Maszyna wirtualna kontroluje wszystkie odwołania uruchamianego programu bezpośrednio do sprzętu lub systemu operacyjnego i zapewnia ich obsługę. Dzięki temu pro...</description>
    </item>
    <item rdf:about="http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:przeladowanie_operatorow&amp;amp;rev=1148216969">
        <dc:format>text/html</dc:format>
        <dc:date>2006-05-21T15:09:29+01:00</dc:date>
        <title>jezyki_i_techniki_programowania:przeladowanie_operatorow</title>
        <link>http://kni.pk.edu.pl/~kmokszan/mgr/doku.php?id=jezyki_i_techniki_programowania:przeladowanie_operatorow&amp;amp;rev=1148216969</link>
        <description> Przeładowanie operatorów w klasie sprawia, że posługiwanie się nią jest tak naturalne jak typem wbudowanym.  Przeładowanie operatora dokonuje się definiując funkcję która  nazywa się operator@ gdzie @ oznacza symbol operatora (np +, -, *) jako conaj...</description>
    </item>
</rdf:RDF>
